difficulty with updating to PHP7.x

Need help with the Administration of your Joomla! 3.x site? This is the spot for you.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
whamprod
Joomla! Intern
Joomla! Intern
Posts: 67
Joined: Tue Jun 17, 2008 9:18 pm

difficulty with updating to PHP7.x

Post by whamprod » Wed Apr 17, 2019 5:01 pm

It took forever, but my hosting company finally started offering PHP7.1 / 7.2, and I'm having trouble updating to it from PHP5.6, using cPanel. Whenever I do so, the administrator section works fine, but the front end displays this error:
Screen Shot 2019-04-17 at 11.36.17 AM.png
Switching back to PHP5.6 restores the front end, but some of the features are not functioning properly (one of the reasons for updating PHP in the first place).

I have run the fpa-en.php script and saved the output, but not sure about how/what to post here, if anything.

Anyone have any ideas?
You do not have the required permissions to view the files attached to this post.

User avatar
toivo
Joomla! Master
Joomla! Master
Posts: 11118
Joined: Thu Feb 15, 2007 5:48 am
Location: Oxford, UK

Re: difficulty with updating to PHP7.x

Post by toivo » Wed Apr 17, 2019 5:05 pm

Just follow the FPA instructions from viewtopic.php?f=806&t=969442 to the letter and you will be fine.

You can also set the level of error reporting in Global Configuration to 'Maximum' and enable Debug so that you get more details with the messages.
Toivo Talikka, Global Moderator
troubleshooting smtp and other articles http://talikka.com/joomla

whamprod
Joomla! Intern
Joomla! Intern
Posts: 67
Joined: Tue Jun 17, 2008 9:18 pm

Re: difficulty with updating to PHP7.x

Post by whamprod » Wed Apr 17, 2019 6:06 pm

toivo wrote:
Wed Apr 17, 2019 5:05 pm
Just follow the FPA instructions from viewtopic.php?f=806&t=969442 to the letter and you will be fine.

You can also set the level of error reporting in Global Configuration to 'Maximum' and enable Debug so that you get more details with the messages.
Thanks, here is the initial output:
Forum Post Assistant (v1.4.8 (koine)) : 17th April 2019 wrote:
Problem Description :: wrote:Get page with error message and no content with upgrade to PHP 7.1
Log/Error Message :: wrote:Error: 0 Using $this when not in object context
Last PHP Error(s) Reported :: wrote:[17-Apr-2019 17:54:55 UTC] PHP Strict Standards: Non-static method Joomla\CMS\Application\CMSApplication::getMenu() should not be called statically in /home2/esignao1/public_html/libraries/src/Application/SiteApplication.php on line 275
Actions Taken To Resolve wrote:Temporarily restored to PHP 5.6 pending help in Joomla forum.
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.9.5-Stable (Amani) 9-April-2019
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.9
Configuration Options :: Offline: false | SEF: true | SEF Suffix: true | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: true | Cache: true | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: none | Shared sessions: false | SSL: 2 | Error Reporting: default | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.9.5: Yes | Database Supports J! 3.9.5: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 3.10.0-693.11.6.1.ELK.el6.x86_64 | Technology: x86_64 | Web Server: Apache | Encoding: br, gzip, deflate | Doc Root: --protected-- | System TMP Writable: Yes | Free Disk Space : 351.02 GiB |

PHP Configuration :: Version: 7.1.28 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 32759 | Log Errors To: error_log | Last Known Error: 17th April 2019 18:03:32. | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 64M | Max. POST Size: 64M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 256M

Database Configuration :: Version: 5.6.41-84.1 (Client:mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $) | Host: --protected-- (--protected--) | default Collation: latin1_swedish_ci (default Character Set: latin1) | Database Size: 37.97 MiB | #of Tables:  222
Detailed Environment :: wrote:PHP Extensions :: Core (7.1.28) | date (7.1.28) | libxml (7.1.28) | openssl (7.1.28) | pcre (7.1.28) | zlib (7.1.28) | filter (7.1.28) | hash (1.0) | pcntl (7.1.28) | readline (7.1.28) | Reflection (7.1.28) | SPL (7.1.28) | session (7.1.28) | standard (7.1.28) | cgi-fcgi () | bcmath (7.1.28) | bz2 (7.1.28) | calendar (7.1.28) | ctype (7.1.28) | curl (7.1.28) | dom (20031129) | mbstring (7.1.28) | fileinfo (1.0.5) | ftp (7.1.28) | gd (7.1.28) | gettext (7.1.28) | gmp (7.1.28) | iconv (7.1.28) | imap (7.1.28) | intl (1.1.0) | json (1.5.0) | exif (7.1.28) | mcrypt (7.1.28) | mysqlnd (mysqlnd 5.0.12-dev - 20150407 - $Id: 38fea24f2847fa7519001be390c98ae0acafe387 $) | odbc (7.1.28) | PDO (7.1.28) | pgsql (7.1.28) | Phar (2.0.2) | posix (7.1.28) | pspell (7.1.28) | SimpleXML (7.1.28) | soap (7.1.28) | sockets (7.1.28) | sqlite3 (7.1.28) | tidy (7.1.28) | tokenizer (7.1.28) | xml (7.1.28) | xmlwriter (7.1.28) | xsl (7.1.28) | zip (1.13.5) | mysqli (7.1.28) | pdo_mysql (7.1.28) | PDO_ODBC (7.1.28) | pdo_pgsql (7.1.28) | pdo_sqlite (7.1.28) | wddx (7.1.28) | xmlreader (7.1.28) | xmlrpc (7.1.28) | imagick (3.4.3) | OAuth (2.0.3-dev) | ionCube Loader () | Zend Engine (3.1.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: Yes | Server SU: Yes | PHP SU: Yes | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) ::
Database Information :: wrote:Database statistics :: Uptime: 635303 | Threads: 6 | Questions: 128330453 | Slow queries: 1253 | Opens: 465154 | Flush tables: 1 | Open tables: 4096 | Queries per second avg: 201.998 |
Extensions Discovered :: wrote:Components :: SITE ::
Core :: com_wrapper (3.0.0) 1 | com_mailto (3.0.0) 1 |
3rd Party:: WF_LINKS_JOOMLALINKS_TITLE (2.6.9) ? | WF_POPUPS_JCEMEDIABOX_TITLE (2.6.9) ? | WF_POPUPS_WIDGETKIT_TITLE (2.0.5) ? | WF_POPUPS_WINDOW_TITLE (2.6.9) ? | WF_FILESYSTEM_JOOMLA_TITLE (2.6.9) ? | WF_FILESYSTEM_S3_TITLE (1.0.3) ? | WF_AGGREGATOR_VINE_TITLE (2.6.9) ? | WF_AGGREGATOR_[youtube]_TITLE (2.6.9) ? | WF_AGGREGATOR_VIMEO_TITLE (2.6.9) ? | WF_AGGREGATOR_DAILYMOTION_TITLE (2.6.9) ? | WF_LINK_SEARCH_TITLE (2.6.9) ? | WF_TEXTCASE_TITLE (2.6.9) ? | WF_CHARMAP_TITLE (2.6.9) ? | WF_CLIPBOARD_TITLE (2.6.9) ? | WF_FILEMANAGER_TITLE (2.6.9) ? | WF_IFRAME_TITLE (2.6.9) ? | WF_CAPTION_TITLE (2.6.9) ? | WF_NONBREAKING_TITLE (2.6.9) ? | WF_MEDIAMANAGER_TITLE (2.6.9) ? | WF_LAYER_TITLE (2.6.9) ? | WF_SEARCHREPLACE_TITLE (2.6.9) ? | WF_SPELLCHECKER_TITLE (2.6.9) ? | WF_FONTCOLOR_TITLE (2.6.9) ? | WF_IMGMANAGER_EXT_TITLE (2.6.9) ? | WF_MICRODATA_TITLE (2.6.9) ? | WF_ARTICLE_TITLE (2.6.9) ? | WF_VISUALBLOCKS_TITLE (2.6.9) ? | WF_EMOTIONS_TITLE (2.6.9) ? | WF_TABLE_TITLE (2.6.9) ? | WF_FONTSIZESELECT_TITLE (2.6.9) ? | WF_TEXTPATTERN_TITLE (2.6.9) ? | WF_PRINT_TITLE (2.6.9) ? | WF_FORMATSELECT_TITLE (2.6.9) ? | WF_IMGMANAGER_TITLE (2.6.9) ? | WF_INLINEPOPUPS_TITLE (2.6.9) ? | WF_STYLE_TITLE (2.6.9) ? | WF_FONTSELECT_TITLE (2.6.9) ? | WF_CONTEXTMENU_TITLE (2.6.9) ? | WF_KITCHENSINK_TITLE (2.6.9) ? | WF_TEMPLATEMANAGER_TITLE (2.6.9) ? | WF_XHTMLXTRAS_TITLE (2.6.9) ? | WF_HR_TITLE (2.6.9) ? | WF_FULLSCREEN_TITLE (2.6.9) ? | WF_CLEANUP_TITLE (2.6.9) ? | WF_DIRECTIONALITY_TITLE (2.6.9) ? | WF_BROWSER_TITLE (2.6.9) ? | WF_MEDIA_TITLE (2.6.9) ? | WF_VISUALCHARS_TITLE (2.6.9) ? | WF_STYLESELECT_TITLE (2.6.9) ? | WF_AUTOSAVE_TITLE (2.6.9) ? | WF_PREVIEW_TITLE (2.6.9) ? | WF_LISTS_TITLE (2.6.9) ? | WF_ANCHOR_TITLE (2.6.9) ? | WF_SOURCE_TITLE (2.6.9) ? | WF_LINK_TITLE (2.6.9) ? |

Components :: ADMIN ::
Core :: com_ajax (3.2.0) 1 | com_media (3.0.0) 1 | com_users (3.0.0) 1 | com_fields (3.7.0) 1 | com_modules (3.0.0) 1 | com_cache (3.0.0) 1 | com_search (3.0.0) 1 | com_privacy (3.9.0) 1 | com_templates (3.0.0) 1 | com_associations (3.7.0) 1 | com_login (3.0.0) 1 | com_languages (3.0.0) 1 | com_config (3.0.0) 1 | com_categories (3.0.0) 1 | com_checkin (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_finder (3.0.0) 1 | com_admin (3.0.0) 1 | com_actionlogs (3.9.0) 1 | com_postinstall (3.2.0) 1 | com_messages (3.0.0) 1 | com_banners (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_installer (3.0.0) 1 | com_contenthistory (3.2.0) 1 | com_newsfeeds (3.0.0) 1 | com_redirect (3.0.0) 1 | com_plugins (3.0.0) 1 | com_content (3.0.0) 1 | com_weblinks (3.6.0) 1 | com_menus (3.0.0) 1 | com_tags (3.1.0) 1 |
3rd Party:: RSFirewall! (2.11.25) 1 | opencart (1.5.6.4) 1 | Widgetkit (1.5.4) 1 | COM_JCE (2.6.9) 1 |

Modules :: SITE ::
Core :: mod_search (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_banners (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_syndicate (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_related_items (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_login (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_articles_latest (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_weblinks (3.6.0) 1 | mod_articles_archive (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_footer (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 |
3rd Party:: FEATURED (1.4.9.3) 1 | INFORMATION (1.4.9.3) 1 | BESTSELLERS (1.4.9.3) 1 | Protected by RSFirewall! Module (1.0.0 R49) 1 | New Custom Module (1.4.9.3) 1 | JooCart all in one module (1.5.3) 1 | SPECIALS (1.4.9.3) 1 | CATEGORIES (1.4.9.3) 1 | Widgetkit Twitter (1.0.0) 1 | BRANDS (1.4.9.3) 1 | LATEST (1.4.9.3) 1 | GOOGLE TALK (1.4.9.3) 1 | SHOPPING CART (1.4.9.3) 1 | Widgetkit (1.0.0) 1 |

Modules :: ADMIN ::
Core :: mod_title (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_stats_admin (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_feed (3.0.0) 1 | mod_status (3.0.0) 1 | mod_toolbar (3.0.0) 1 | mod_login (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_version (3.0.0) 1 | mod_latestactions (3.9.0) 1 | mod_logged (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_privacy_dashboard (3.9.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_menu (3.0.0) 1 | mod_latest (3.0.0) 1 |
3rd Party:: RSFirewall! Control Panel Module (1.4.0) 1 |

Libraries :: SITE ::
Core ::
3rd Party::

Plugins :: SITE ::
Core :: plg_captcha_recaptcha_invisible ( 3.8 ) 0 | plg_captcha_recaptcha (3.4.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_finder_weblinks (3.6.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_ldap (3.0.0) 0 | plg_authentication_joomla (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_privacycheck (3.9.0) 1 | plg_privacy_consents (3.9.0) 1 | plg_privacy_actionlogs (3.9.0) 1 | plg_privacy_content (3.9.0) 1 | plg_privacy_message (3.9.0) 1 | plg_privacy_user (3.9.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_repeatable (3.9.0) 1 | plg_fields_media (3.7.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_vote (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_emailcloak (3.0.0) 1 | plg_content_confirmconsent (3.9.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | plg_user_joomla (3.0.0) 1 | plg_user_terms (3.9.0) 0 | plg_user_contactcreator (3.0.0) 0 | plg_user_profile (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_sessiongc (3.8.6) 1 | plg_system_logout (3.0.0) 1 | plg_system_privacyconsent (3.9.0) 0 | plg_system_stats (3.5.0) 1 | plg_system_fields (3.7.0) 1 | PLG_SYSTEM_ACTIONLOGS (3.9.0) 0 | plg_system_redirect (3.0.0) 0 | plg_system_logrotation (3.9.0) 1 | plg_system_p3p (3.0.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_debug (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_updatenotification (3.5.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_cache (3.0.0) 0 | PLG_ACTIONLOG_JOOMLA (3.9.0) 1 | plg_search_weblinks (3.6.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_search_content (3.0.0) 1 | plg_search_tags (3.0.0) 1 | plg_search_contacts (3.0.0) 1 |
3rd Party:: plg_extension_jce (2.6.9) 1 | JooCart User Authentication (2.5.0) 1 | plg_editors_codemirror (5.40.0) 1 | plg_editors_tinymce (4.5.9) 1 | plg_editors_jce (2.6.9) 1 | plg_quickicon_jce (2.6.0-pro-bet) 1 | JooCart Content Plugin (2.5.0) 1 | plg_content_jce (2.6.9) 1 | Content - Widgetkit (1.0.0) 1 | plg_installer_jce (2.6.9) 1 | plg_installer_rsfirewall (1.0.0) 1 | JooCart Users Plugin (1.4.9.4) 1 | System - JCE MediaBox (1.2.9) 1 | System - Widgetkit ZOO (3.1.0) 1 | manage.myJoomla.com Secure Plugin (n/a) 0 | System - Widgetkit Joomla (1.0.0) 1 | JooCart ColorPicker Plugin (2.5.0) 1 | plg_system_jce (2.6.9) 1 | PLG_WFMEDIAELEMENT_XML_TITLE (1.0.0) 1 | System - RSFirewall! Active Scanner (1.4.0) 1 | System - Widgetkit (1.0.0) 1 | JooCart Search Plugin (1.4.9.4) 1 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | yoo_master2 (1.0.0) 1 | beez3 (3.1.0) 1 | yoo_everest (1.0.11) 1 |
Templates :: ADMIN :: hathor (3.0.0) 1 | isis (1.0) 1 |

whamprod
Joomla! Intern
Joomla! Intern
Posts: 67
Joined: Tue Jun 17, 2008 9:18 pm

Re: difficulty with updating to PHP7.x

Post by whamprod » Thu Apr 18, 2019 9:09 pm

Can anybody help me? I ran the script and posted the results, but I don't understand what any of it might have to do with the problem I clearly described in my opening post.

User avatar
sozzled
Joomla! Champion
Joomla! Champion
Posts: 7335
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: difficulty with updating to PHP7.x

Post by sozzled » Thu Apr 18, 2019 9:44 pm

It's difficult to give a blank guarantee as to what, specifically, is causing the menu problem but a fair guess suggests that the site template (yoo_everest) [v1.0.11] is simply not up to scratch. From the little I have read—and I have no personal experience using YOOtheme templates—this template was first released in 2014.

Knowing that PHP 7 was not released until late 2015, this template pre-dates PHP 7.

Therefore, you have a couple of choices but, in my opinion, you really only have two choices:

1) Contact the developer to enquire if there is an update for this template that's compatible with PHP 7.

2) Change the site template to something that's compatible with PHP 7.

In the meantime, in order to keep the site running with PHP 7 while you're searching for a working template, change to Protostar.

PHP 7.1 is near end-of-life.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

User avatar
PhilTaylor-Prazgod
Joomla! Ace
Joomla! Ace
Posts: 1193
Joined: Sat Aug 20, 2005 12:32 pm
Location: Jersey, Channel Islands
Contact:

Re: difficulty with updating to PHP7.x

Post by PhilTaylor-Prazgod » Thu Apr 18, 2019 9:58 pm

I can fix this within seconds of debugging - but self promotion is not allowed in these forums

This is one, maybe two lines of code that need changing...

Moving from PHP 5 to PHP 7 can be a pain, but there is no reason why Joomla sites should not now (2019) be on PHP 7.3.4!
Phil Taylor - Full Time Joomla/PHP Security Expert
Blue Flame Digital Solutions Limited.
-- https://myJoomla.com/ Multi Award Winning Joomla Security & Auditing Service
-- https://www.phil-taylor.com/

User avatar
PhilTaylor-Prazgod
Joomla! Ace
Joomla! Ace
Posts: 1193
Joined: Sat Aug 20, 2005 12:32 pm
Location: Jersey, Channel Islands
Contact:

Re: difficulty with updating to PHP7.x

Post by PhilTaylor-Prazgod » Thu Apr 18, 2019 10:00 pm

rename error.php in your TEMPLATES folders /tempaltes/yoo_master2 and /templates/yoo_everest

Then turn on debug system in global config

then load your home page - it will tell you EXACTLY where to start your hunt!
Phil Taylor - Full Time Joomla/PHP Security Expert
Blue Flame Digital Solutions Limited.
-- https://myJoomla.com/ Multi Award Winning Joomla Security & Auditing Service
-- https://www.phil-taylor.com/


Post Reply

Return to “Administration Joomla! 3.x”